Last Comment Bug 802034 - what means "Anzeigename immer über Nachrichtenkopf bevorzugen" in adresses
: what means "Anzeigename immer über Nachrichtenkopf bevorzugen" in adresses
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: de / German (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Robert Kaiser
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 01:14 PDT by TestObb-SW15
Modified: 2012-10-25 23:07 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description TestObb-SW15 2012-10-16 01:14:30 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:16.0) Gecko/20121011 Firefox/16.0 SeaMonkey/2.13.1
Build ID: 20121011080919

Steps to reproduce:

In SeaMonkey 2.13.1 adressbook I find in the first section a Text with the possibility to activate the function "Anzeigename immer über Nachrichtenkopf bevorzugen".
What does it mean?



Expected results:

Explanation in help
Comment 1 Tony Mechelynck [:tonymec] 2012-10-16 18:37:56 PDT
If you don't understand German, you could try running the en-US build, or anything else that you do understand.

I don't really understand german either, but in my address book (in the en-US version of SeaMonkey) there is a checkbox in the individual address book card ("Properties" on a single address, or also when creating) which says:

[x] Always prefer display name over message header

I think that's what you mean.

I don't see help about it under "Help → Help Contents → Using Mail & Newsgroups → Using Address Books → Creating a New Address Book Card", probably because it is a new widget, I hadn't noticed it before.

IIUC that checkbox decides where to copy the display name from when replying: either from the address book or from the email being replied to (and fall back on the other one if the preferred one isn't found).
Comment 2 TestObb-SW15 2012-10-18 22:29:56 PDT
Good morning,

You understand it right, but the german/austrian translation is a little bit curious.

I hope Robert Kaiser will read it and give this part a more "speaking trabslation" and add something in the help function (Hilfe). So do the master programmers for the englisch version.

Hinweis Die Passage auf seamonkey.at 
....
Bitte erstellen Sie einen Bug Report in Bugzilla. Wenn es die deutsche Übersetzung angeht, sollte die Meldung im Produkt "Mozilla Localizations", Komponente: "German-Austria/de-AT" erfolgen.
....
müßte auch überarbeitet werden, da diese zweigeteilt ist und die Komponente nur German-de heißt!
Comment 3 Tony Mechelynck [:tonymec] 2012-10-19 16:59:05 PDT
(In reply to TestObb-SW12 from comment #2)
[...]
> Hinweis Die Passage auf seamonkey.at 
> ....
> Bitte erstellen Sie einen Bug Report in Bugzilla. Wenn es die deutsche
> Übersetzung angeht, sollte die Meldung im Produkt "Mozilla Localizations",
> Komponente: "German-Austria/de-AT" erfolgen.
> ....
> müßte auch überarbeitet werden, da diese zweigeteilt ist und die Komponente
> nur German-de heißt!

Yes, AFAICT the only "official" German-language version for SeaMonkey or even for Firefox is just de (German, in general). However Robert Kaiser is from Austria and ISTR that he has been caring (in a former life, maybe ;-) ) for SeaMonkey's German translation. I'm adding him to the CC list to make sure he gets bugmail from this bug (unless or until, maybe, he removes himself from the list).

If you got this "Austrian" localized version from some other source than www.seamonkey-project.org or ftp.mozilla.org, please mention in a comment where you got it from.
Comment 4 Tony Mechelynck [:tonymec] 2012-10-19 17:06:46 PDT
P.S. At http://www.seamonkey.at/download/ I see:

Verwenden Sie BugZilla (englisch), um Bugs zu melden, Übersetzungsprobleme/-bugs melden Sie bitte dort im Produkt "Mozilla Localizations", Komponente "de / German localizations"

so either the change you mentioned has been made, or the error was on a different page (at which URL?)
Comment 5 Tony Mechelynck [:tonymec] 2012-10-19 17:15:12 PDT
P.P.S. Ah, I see. Near the bottom of http://www.seamonkey.at/support.html -- that problem should be in a different bug though: "one issue, one report". I'm not sure though, where "content bugs" about www.seamonkey.at should be reported.
Comment 6 Tony Mechelynck [:tonymec] 2012-10-19 17:24:24 PDT
Karsten: You speak German better than I do ;-) and in addition, MailNews is your pidgin.

This here bug (in Mozilla Localizations) is IIUC about giving a better German translation to the "Always prefer display name over message header" checkbox in the address book card.

But there is an additional issue (which deserves a separate bug unless it will automagically cure itself): namely, even in English that checkbox is not (yet) mentioned in the Help.
Comment 7 Robert Kaiser 2012-10-19 21:39:51 PDT
Guys, don't worry, I'll look into it, I'm just badly overworked and even right now on my way to a Mozilla workshop in Italy. This is on my TODO list, and I also know that seamonkey.at might have some outdated comment that I'll need to fix one day, I'm just slow to get to anything at the moment, but I will get to it.
Comment 8 Robert Kaiser 2012-10-25 16:38:18 PDT
(In reply to Tony Mechelynck [:tonymec] from comment #5)
> P.P.S. Ah, I see. Near the bottom of http://www.seamonkey.at/support.html --
> that problem should be in a different bug though: "one issue, one report".
> I'm not sure though, where "content bugs" about www.seamonkey.at should be
> reported.

Fixed now.


That setting is rather hard to translate, as even the original title "Always prefer display name over message header" is not as understandable as one would like.

I'll for now use "Anzeigename immer statt Namen aus dem Nachrichtenkopf verwenden" but for one thing that might not always fit the screen well and for the other, it's also not really telling the story completely well, but I have no better idea. I'm also only doing this for trunk right now.

http://hg.mozilla.org/l10n-central/de/rev/13743af0dae7
Comment 9 TestObb-SW15 2012-10-25 23:07:59 PDT
that´s good
not to snowy weekend

Note You need to log in before you can comment on or make changes to this bug.